#include "StdAfx.h"
#include "IECtrlPropertyAccessor.h"
#include "ScriptletConstant.h"
#include "IECtrl.h"

REGISTER_PROPERTY_ACCESSOR(SCRIPTLET_IECTRL_NODE, IECtrlPropertyAccessor);

BOOL IECtrlPropertyAccessor::SetProperty(CComponent* pTarget, LPCTSTR property, CComVariant value)
{
	BOOL bSuccess = __super::SetProperty(pTarget, property, value);
	if (bSuccess == FALSE)
	{
		CIECtrlAdapter* iectrl = dynamic_cast<CIECtrlAdapter*>(pTarget);
		if (iectrl == NULL) return bSuccess;

		if (_tcsicmp(SCRIPTLET_SOURCE_NODE, property) == 0)
		{
			iectrl->Navigate(CString(value.bstrVal));			
		}
	}
	return bSuccess;
}
BOOL IECtrlPropertyAccessor::GetProperty(CComponent* pTarget, LPCTSTR property, CComVariant& value)
{
	BOOL bSuccess = __super::GetProperty(pTarget, property, value);
	if (bSuccess == FALSE)
	{

	}
	return bSuccess;
}